Skip to main content
GET
/
{alias}
/
pricing
/
wallet
/
statement
/
{customerID}
Visualizar extrato de cashback
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/pricing/wallet/statement/{customerID} \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>'
import requests

url = "https://api.dooki.com.br/v2/{alias}/pricing/wallet/statement/{customerID}"

headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};

fetch('https://api.dooki.com.br/v2/{alias}/pricing/wallet/statement/{customerID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": 10001,
      "transaction_type": "credit",
      "amount": 9.9,
      "used_amount": 0,
      "accumulated_amount": 9.9,
      "status": "approved",
      "cancelled_at": null,
      "description": null,
      "expires_at": "2026-01-31",
      "expired": 1,
      "customer": {
        "id": 200001,
        "name": "Cliente Exemplo",
        "email": "cliente@example.com",
        "phone": "5500000000000"
      },
      "order": {
        "id": 300001,
        "number": 123456789012
      },
      "created_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      },
      "updated_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      }
    }
  ]
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

customerID
integer
required

ID do cliente que possui cashbacks.

Response

Extrato do cashback retornado com sucesso

data
object[]